> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mercoa.com/embedded-ap-ar/api-reference/entity/counterparty/bulk/download-payees/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mercoa.com/_mcp/server. # Download Bulk Payees GET https://api.mercoa.com/entity/{entityId}/counterparties/payees/download Get a URL to download payee counterparties as a CSV/JSON file. This endpoint lets you download vendors linked to the entity. Reference: https://docs.mercoa.com/embedded-ap-ar/api-reference/entity/counterparty/bulk/download-payees ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `entityId` (string, required) — Entity ID or Entity ForeignID ### Query parameters - `format` (enum, optional) — Format of the file to download. Defaults to CSV. - Allowed values: `CSV`, `JSON` - `search` (string, optional) — Filter counterparties by name or email. Partial matches are supported. - `networkType` (enum, optional) — Filter by network type. By default, only ENTITY counterparties are returned. - Allowed values: `ENTITY`, `NETWORK` - `paymentMethods` (boolean, optional) — If true, will include counterparty payment methods as part of the response - `invoiceMetrics` (boolean, optional) — If true, will include counterparty invoice metrics as part of the response - `counterpartyId` (string, optional) — Filter by counterparty ids (Foreign ID is supported) - `metadata` (object, optional) — Filter counterparties by simple key/value metadata. Each filter will be applied as an AND condition. Duplicate keys will be ignored. - `key` (string, required) - `value` (string or list of string, required) — If multiple values are provided, the filter will match if any of the values match (OR filter). To filter for the absence of a key, use the value 'NULL'. To filter for the presence of a key, use the value 'NOT NULL'. - `returnMetadata` (string, optional) — If true, will return simple key/value metadata for the counterparties. For more complex metadata, use the Metadata API. ## Response ### 200 - `url` (string, required) - `mimeType` (string, required) ## Errors ### 400 Bad Request - `errorName` ("BadRequest", required) - `content` (string, required) ### 401 Unauthorized - `errorName` ("Unauthorized", required) - `content` (string, required) ### 403 Forbidden - `errorName` ("Forbidden", required) - `content` (string, required) ### 404 Not Found - `errorName` ("NotFound", required) - `content` (string, required) ### 409 Conflict - `errorName` ("Conflict", required) - `content` (string, required) ### 500 Internal Server Error - `errorName` ("InternalServerError", required) - `content` (string, required) ### 501 Unimplemented - `errorName` ("Unimplemented", required) - `content` (string, required) ## Examples **Response** ```json { "url": "https://mercoa.com/download/bulk-invoices.csv", "mimeType": "text/csv" } ``` **SDK Code** ```python Default import requests url = "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/counterparties/payees/download" querystring = {"format":"CSV","paymentMethods":"true","invoiceMetrics":"true"} headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```typescript Default import { MercoaClient } from "@mercoa/javascript"; const client = new MercoaClient({ token: "YOUR_TOKEN" }); await client.entity.counterparty.bulk.downloadPayees("ent_8545a84e-a45f-41bf-bdf1-33b42a55812c", { format: "CSV", paymentMethods: true, invoiceMetrics: true }); ``` ```go Default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/counterparties/payees/download?format=CSV&paymentMethods=true&invoiceMetrics=true" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Default require 'uri' require 'net/http' url = URI("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/counterparties/payees/download?format=CSV&paymentMethods=true&invoiceMetrics=true") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/counterparties/payees/download?format=CSV&paymentMethods=true&invoiceMetrics=true") .header("Authorization", "Bearer ") .asString(); ``` ```php Default request('GET', 'https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/counterparties/payees/download?format=CSV&paymentMethods=true&invoiceMetrics=true', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Default using RestSharp; var client = new RestClient("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/counterparties/payees/download?format=CSV&paymentMethods=true&invoiceMetrics=true"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/counterparties/payees/download?format=CSV&paymentMethods=true&invoiceMetrics=true")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```